## rtpreddec

rtpreddec — RTP Redundant Audio Data (RED) decoder

## Properties

gint | pt | Read / Write
guint | received | Read

## Types and Values

struct | GstRtpRedDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRtpRedDec

## Description

Decode Redundant Audio Data (RED) as per RFC 2198.

This element is mostly provided for chrome webrtc compatibility: chrome will wrap ulpfec-protected streams in RED packets, and such streams need to be unwrapped by this element before being passed on to GstRtpUlpFecDec.

The “pt” property should be set to the expected payload types of the RED packets.

When using GstRtpBin, this element should be inserted through the “request-aux-receiver” signal.

### Example pipeline

    1

    gst-launch-1.0 udpsrc port=8888 caps="application/x-rtp, payload=96, clock-rate=90000" ! rtpreddec pt=122 ! rtpstorage size-time=220000000 ! rtpssrcdemux ! application/x-rtp, payload=96, clock-rate=90000, media=video, encoding-name=H264 ! rtpjitterbuffer do-lost=1 latency=200 !  rtpulpfecdec pt=122 ! rtph264depay ! avdec_h264 ! videoconvert ! autovideosink

This example will receive a stream with RED and ULP FEC and try to reconstruct the packets.

See also: GstRtpRedEnc, GstWebRTCBin, GstRtpBin

## Synopsis

### Element Information

plugin | rtp
author | Hani Mustafa <hani@pexip.com>, Mikhail Fludkov <misha@pexip.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp

name | src
direction | source
presence | always
details | application/x-rtp

## Functions

## Types and Values

### struct GstRtpRedDec

    struct GstRtpRedDec;

## Property Details

### The `“pt”` property

      “pt”                       gint

Payload type FEC packets.

Owner: GstRtpRedDec

Flags: Read / Write

Allowed values: [G_MAXULONG,127]

Default value: -1

### The `“received”` property

      “received”                 guint

Count of received packets.

Owner: GstRtpRedDec

Flags: Read

Default value: 0